from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XErrorBroadcaster(XInterface, Protocol):
    def addErrorListener(self, aListener: XErrorListener) -> None: ...
    def removeErrorListener(self, aListener: XErrorListener) -> None: ...
